<?php

/*
 * (C) 2013-2016 iDorMobile LCC, telpho GmbH
 *
 * Version: 1.6.8
 *
 */

    require_once('/usr/iDorMobile/system/scripts/dbcore.php');

    if (session_status() == PHP_SESSION_NONE) {
        session_start();
    }

    $go_on = false;
    if (isset($_SESSION['user_level'])) {
        if (intval($_SESSION['user_level']) >= 10) {
            $go_on = true;
        }
    }

    if (!$go_on) {
        header("Location: index.php");
        exit;
    }

	$ret_value = "ready";

    $path_backup = "/usr/iDorMobile/webgui/idorgui/temp";
    $logfile = $path_backup."/update_status.log";

    $finish = false;

    if (isset($_POST['action'])) {
        if ($_POST['action'] == "backup") {
            $update_step = $_POST['update_step'];

            if ($update_step == "1") {
                exec("sudo rm ".$path_backup."/*.*");
                if ($f = fopen($logfile,"w")) {
                    fputs($f,"start backup.<BR>");
                    fputs($f,"export idor database to iDMBackup file<BR>");
                    fclose($f);
                }
            } else if ($update_step == "2") {
                if ($f = fopen($logfile,"a")) {
                    fputs($f,"export idorcfgserver database to iDMBackup file<BR>");
                    fclose($f);
                }
                exec("sudo mysqldump -u root -ptelpho idor > ".$path_backup."/idor.sql");
                exec("sudo tar -cvf ".$path_backup."/iDMBackup.tar ".$path_backup."/idor.sql");
                exec("sudo rm ".$path_backup."/idor.sql");
            } else if ($update_step == "3") {
                if ($f = fopen($logfile,"a")) {
                    fputs($f,"ready. you can download the iDMBackup file.<BR>");
                    fclose($f);
                }
                exec("sudo mysqldump -u root -ptelpho idorcfgserver > ".$path_backup."/idorcfgserver.sql");
                exec("sudo tar -uvf ".$path_backup."/iDMBackup.tar ".$path_backup."/idorcfgserver.sql");
                exec("sudo rm ".$path_backup."/idorcfgserver.sql");
            } else {
                $finish = true;
            }
        }
        if (file_exists($logfile)) {
            if ($f = fopen($logfile,"r")) {
                $ret_value = "";
                while (!feof($f)) {
                    $ret_value .= fgets($f);
                }
                fclose($f);
            }
        } else {
            $ret_value = "ready";
            $finish = true;
        }
    }

    if ($finish) {
        exec("sudo rm ".$path_backup."/update_status.log");
    }

	echo $ret_value;

?>
