<?php

session_start();

$path_app = "/usr/iDorMobile";
$path_scripts = $path_app."/system/scripts";

require_once("smarty/libs/Smarty.class.php");
require_once($path_scripts."/dbcore.php");

if ($cn = db_open()) {
	$o_smarty = new Smarty;
	$o_smarty->compile_check = true;
	$o_smarty->debugging = false;
	$o_smarty->template_dir = 'templates';
	$o_smarty->config_dir = 'smarty/configs';
	$o_smarty->cache_dir = 'smarty/cache';
	$o_smarty->compile_dir = 'smarty/templates_c';
}

function ReadMenuEntries() {
	global $o_smarty;
	
	$menu_entries = array();

	if (file_exists("language/menu_entries.txt")) {
		if ($f = fopen("language/menu_entries.txt","r")) {
			while (!feof($f)) {
				$line = fgets($f);
				$line = str_replace("\r","",$line);
				$line = str_replace("\n","",$line);
				$a = explode("=",$line);
				if (count($a) == 2) {
					if ($a[1] == "true") {
						$menu_entries[$a[0]] = true;
					} else if ($a[1] == "false") {
						$menu_entries[$a[0]] = false;
					} else {
						$menu_entries[$a[0]] = $a[1];
					}
				}
			}
			fclose($f);
		}
	}
	$o_smarty->assign('menu_entries',$menu_entries);
}

function ReadItemsTooltext($filename,&$item) {

	$header = "";
	if (file_exists("help/".$filename.".txt")) {
		if ($fin = fopen("help/".$filename.".txt","r")) {
			if (!feof($fin)) {
				$line = fgets($fin);
			}
			while (!feof($fin)) {
				$line = fgets($fin);
				$line = str_replace("\r","",$line);
				$line = str_replace("\n","",$line);
				if (substr($line,0,1) == "[") {
					$header = $line;
					$header = str_replace("[","",$header);
					$header = str_replace("]","",$header);
					$item['_help'][$header] = "";
				} else {
					if (strlen($header) > 0) {
						if (strlen($item['_help'][$header]) == 0) {
							$item['_help'][$header] .= $line;
						} else {
							$item['_help'][$header] .= "&#10;".$line;
						}
					}
				}
			}
			fclose($fin);
		}
	}
}

?>
