<?php

/*
 * (C) 2013-2016 iDorMobile LCC, telpho GmbH
 *
 * Version: 1.6.8
 *
 */

    require_once('/usr/iDorMobile/system/scripts/dbcore.php');
    require_once('/usr/iDorMobile/system/scripts/dbtools.php');

    if (session_status() == PHP_SESSION_NONE) {
        session_start();
    }

    $go_on = false;
    if (isset($_SESSION['user_level'])) {
        if (intval($_SESSION['user_level']) >= 10) {
            $go_on = true;
        }
    }

    if (!$go_on) {
        header("Location: index.php");
        exit;
    }

    $ret_value = "unknown";

    if ($cn = db_open()) {

        if (isset($_POST['action'])) {
            if ($_POST['action'] == "save") {
                $error = "";

                if (intval($_SESSION['user_level']) >= 10) {
                    if (isset($_POST['manage_password'])) {
                        $password = mysql_real_escape_string(htmlentities($_POST['manage_password']));
                        $password2 = mysql_real_escape_string(htmlentities($_POST['manage_password2']));
                        if (strlen($password) > 0) {
                            if ($password != $password2) {
                                $error .= "\nPasswords from user manage not matches";
                            }
                        }
                    }
                }
                if (intval($_SESSION['user_level']) >= 20) {
                    if (isset($_POST['admin_password'])) {
                        $password = mysql_real_escape_string(htmlentities($_POST['admin_password']));
                        $password2 = mysql_real_escape_string(htmlentities($_POST['admin_password2']));
                        if (strlen($password) > 0) {
                            if ($password != $password2) {
                                $error .= "\nPasswords from user admin not matches";
                            }
                        }
                    }
                }
                if (intval($_SESSION['user_level']) >= 30) {
                    if (isset($_POST['siedle_password'])) {
                        $password = mysql_real_escape_string(htmlentities($_POST['siedle_password']));
                        $password2 = mysql_real_escape_string(htmlentities($_POST['siedle_password2']));
                        if (strlen($password) > 0) {
                            if ($password != $password2) {
                                $error .= "\nPasswords from user siedle not matches";
                            }
                        }
                    }
                }

                if (strlen($error) == 0) {
                    $ret_value = "ok";
                } else {
                    $ret_value = $error;
                }
            }
        }

        db_close($cn);
    }

    echo $ret_value;

?>
