<?php

/*
 * (C) 2013-2016 iDorMobile LCC, telpho GmbH
 *
 * Version: 1.6.8
 *
 */

	require_once('includes/config.inc.php');
    require_once('/usr/iDorMobile/system/scripts/dbcore.php');

    $go_on = false;
	if (isset($_SESSION['user_level'])) {
		if (intval($_SESSION['user_level']) >= 10) {
            $go_on = true;
        }
	}
	if (!$go_on) {
		header("Location: index.php");
		exit;
	}

    $path_temp = "/usr/iDorMobile/webgui/idorgui/temp";

    if (isset($_GET['action'])) {
		if ($_GET['action'] == "download_license") {
            if (intval($_SESSION['user_level']) >= 20) {
                set_time_limit(300);
                exec("sudo cp /var/lib/asterisk/agi-bin/license.txt ".$path_temp."/license.txt");
                $filename = "temp/license.txt";
                $filename_temp = "license.txt";
                header("Content-Type: application/txt");
                header("Content-Disposition: attachment; filename='license.txt'");
                ob_clean();
                readfile($filename);
                unlink($filename);
            exit;
            }
        } else if ($_GET['action'] == "export_csv") {
            set_time_limit(300);
            if (csv_export()) {
                $filename = "temp/iDMExport.tar";
                $filename_temp = "iDMExport.tar";
                header("Content-Type: application/tar");
                header("Content-Disposition: attachment; filename='iDMExport.tar'");
                ob_clean();
                readfile($filename);
                unlink($filename);
                exit;
            }
		} else if ($_GET['action'] == "export_excel") {
			set_time_limit(300);
			if (excel_export()) {
                $cn = mysql_connect("localhost","root","telpho");
                if ($cn) {
                    $stmt = "select * from idor.settings where name = 'version'";
                    if ($s = mysql_query($stmt)) {
                        if ($r = mysql_fetch_object($s)) {
                            $version = $r->value;
                        }
                        mysql_free_result($s);
                    }
                    mysql_close($cn);

                    if (strlen($version) > 0) {
                        $filename = "temp/iDMConfig.xlsx";
                        $filename_temp = "iDMConfig.xlsx";
                        $filename_save = "iDMConfig-".date("Y-m-d")."-v".$version.".xlsx";
                        header("Content-Type: application/xlsx");
                        header("Content-Disposition: attachment; filename='".$filename_save."'");
                        ob_clean();
                        readfile($filename);
                        unlink($filename);
                        exit;
                    }
                }
			}
		}
	}

	if (isset($_POST['my_action'])) {
		if ($_POST['my_action'] == "upload_license") {
            if (intval($_SESSION['user_level']) >= 20) {
                set_time_limit(300);
                if (isset($_FILES['license_file'])) {
                    if($_FILES['license_file']['size'] > 0) {
                        exec("rm /var/lib/asterisk/agi-bin/license.txt");
                        if (move_uploaded_file($_FILES['license_file']['tmp_name'],"temp/license.txt")) {
                            exec("sudo chmod ugo+rw ".$path_temp."/license.txt");
                            exec("sudo mv temp/license.txt /var/lib/asterisk/agi-bin/license.txt");
                            exec("sudo rm ".$path_temp."/license.txt");
                            exec("sudo ".$path_scripts."/sys_getinfos");
                        }
                    }
                }
            }
		} else if ($_POST['my_action'] == "restore_system") {
			set_time_limit(300);
			if (isset($_FILES['restore_file'])) {
				if($_FILES['restore_file']['size'] > 0) {
                    exec("sudo rm ".$path_temp."/*.*");
					if (move_uploaded_file($_FILES['restore_file']['tmp_name'],"temp/iDMRestore.tar")) {
                        header("Location: restore_system.php");
                        exit;
					}
				}
			}
        } else if ($_POST['my_action'] == "update_system") {
            if (intval($_SESSION['user_level']) >= 20) {
                set_time_limit(300);
                if (isset($_FILES['update_file'])) {
                    if($_FILES['update_file']['size'] > 0) {
                        exec("sudo rm ".$path_temp."/*.*");
                        if (move_uploaded_file($_FILES['update_file']['tmp_name'],"temp/iDMUpdate.tar")) {
                            header("Location: update_system.php");
                            exit;
                        }
                    }
                }
            }
        } else if ($_POST['my_action'] == "import_from_153") {
            set_time_limit(300);
            if (isset($_FILES['import_file'])) {
                if($_FILES['import_file']['size'] > 0) {
                    exec("sudo rm ".$path_temp."/*.*");
                    if (move_uploaded_file($_FILES['import_file']['tmp_name'],"temp/iDMImport153.tar")) {
                        header("Location: import_from_153.php");
                        exit;
                    }
                }
            }
		}
	}

	$o_smarty->assign('system_info',$_SESSION['system_info']);
	$o_smarty->assign("user_level",$_SESSION['user_level']);
	$content = $o_smarty->fetch('backup_restore.html');
	$o_smarty->assign('content',$content);
	$o_smarty->display('index.html');

function csv_export() {

    $fnApartments = "temp/iDMApartments.csv";
    $fnDevices = "temp/iDMDevices.csv";

    $fApartments = fopen($fnApartments,"w");
    $fDevices = fopen($fnDevices,"w");

    if ($fApartments && $fDevices) {
        $header = "id;number;name;caller_number;extension;contact_email;contact_number_use;password;config_key";
        fputs($fApartments,$header."\r\n");
        $header = "id;apartment_number;apartment_id;name;username;authname;password;device_type;active";
        fputs($fDevices,$header."\r\n");

        $stmt = "Select * from apartments order by number";
        if ($sApartments = mysql_query($stmt)) {
            while ($rApartment = mysql_fetch_object($sApartments)) {
                $data  = $rApartment->id.";";
                $data .= $rApartment->number.";";
                $data .= $rApartment->name.";";
                $data .= $rApartment->caller_number.";";
                $data .= $rApartment->extension.";";
                $data .= $rApartment->contact_email.";";
                $data .= $rApartment->contact_number.";";
                if ($rApartment->contact_number_use == "1") {
                    $data .= "yes;";
                } else {
                    $data .= "no;";
                }
                $data .= $rApartment->password.";";
                $data .= $rApartment->config_key;

                fputs($fApartments,$data."\r\n");

                $stmt = "Select * from sip_accounts where apartment_id = '".$rApartment->id."'";
                if ($sDevices = mysql_query($stmt)) {
                    while ($rDevice = mysql_fetch_object($sDevices)) {
                        $data  = $rDevice->id.";";
                        $data .= $rApartment->number.";";
                        $data .= $rDevice->apartment_id.";";
                        $data .= $rDevice->name.";";
                        $data .= $rDevice->username.";";
                        $data .= $rDevice->authname.";";
                        $data .= $rDevice->password.";";
                        $data .= $rDevice->device_type.";";
                        if ($rDevice->active == "1") {
                            $data .= "yes";
                        } else {
                            $data .= "no";
                        }

                        fputs($fDevices,$data."\r\n");
                    }
                }
            }
            mysql_free_result($sApartments);
        }

        fclose($fnDevices);
        fclose($fnApartments);

        exec("tar -cvf temp/iDMExport.tar temp/*.csv");
        exec("rm temp/*.csv");

        return true;
    }
    return false;
}

function excel_export() {

    require_once('Classes/PHPExcel.php');

    $excel = new PHPExcel();

    $excel->getProperties()->setCreator("iDorMobile GUI");
    $excel->getProperties()->setLastModifiedBy("iDorMobile GUI");
    $excel->getProperties()->setTitle("iDorMobile Apartments");
    $excel->getProperties()->setSubject("iDorMobile Apartments");
    $excel->getProperties()->setDescription("Export of Apartments, Devices and Call Routings");

    // store all apartments in first sheet
    $excel->setActiveSheetIndex(0);
    $excel->getActiveSheet()->setTitle("Apartments");
    $excel->getActiveSheet()->setCellValue('A1', "Number");
    $excel->getActiveSheet()->setCellValue('B1', "Name");
    $excel->getActiveSheet()->setCellValue('C1', "Caller Number");
    $excel->getActiveSheet()->setCellValue('D1', "Auto Discovery Key");
    $excel->getActiveSheet()->setCellValue('E1', "Password");
    $excel->getActiveSheet()->setCellValue('F1', "E-Mail");
    $excel->getActiveSheet()->setCellValue('G1', "Phone");
    $excel->getActiveSheet()->setCellValue('H1', "Rollover to PSTN");
    foreach(range('A','H') as $columnID) {
        $excel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
    }
    $excel->createSheet();
    $excel->setActiveSheetIndex(1);
    $excel->getActiveSheet()->setTitle("Devices");
    $excel->getActiveSheet()->setCellValue('A1', "Apartment Number");
    $excel->getActiveSheet()->setCellValue('B1', "Name");
    $excel->getActiveSheet()->setCellValue('C1', "Username");
    $excel->getActiveSheet()->setCellValue('D1', "Authname");
    $excel->getActiveSheet()->setCellValue('E1', "Password");
    $excel->getActiveSheet()->setCellValue('F1', "Device Type");
    $excel->getActiveSheet()->setCellValue('G1', "Active");
    foreach(range('A','G') as $columnID) {
        $excel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
    }
    $excel->createSheet();
    $excel->setActiveSheetIndex(2);
    $excel->getActiveSheet()->setTitle("Call Routings");
    $excel->getActiveSheet()->setCellValue('A1', "Apartment Number");
    $excel->getActiveSheet()->setCellValue('B1', "Priority");
    $excel->getActiveSheet()->setCellValue('C1', "Ring Time");
    $excel->getActiveSheet()->setCellValue('D1', "Devices");
    foreach(range('A','D') as $columnID) {
        $excel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
    }

    $excel->setActiveSheetIndex(0);
    $apartmentRow = 2;

    $stmt = "Select * from apartments order by number";
    if ($s = mysql_query($stmt)) {
        while ($r = mysql_fetch_object($s)) {
            $excel->setActiveSheetIndex(0);
            $excel->getActiveSheet()->setCellValue("A" . $apartmentRow, $r->number);
            $excel->getActiveSheet()->setCellValue("B" . $apartmentRow, $r->name);
            $excel->getActiveSheet()->setCellValue("C" . $apartmentRow, $r->caller_number);
            $excel->getActiveSheet()->setCellValue("D" . $apartmentRow, $r->config_key);
            $excel->getActiveSheet()->setCellValue("E" . $apartmentRow, $r->password);
            $excel->getActiveSheet()->setCellValue("F" . $apartmentRow, $r->contact_email);
            $excel->getActiveSheet()->setCellValueExplicit("G" . $apartmentRow, $r->contact_number,PHPExcel_Cell_DataType::TYPE_STRING);
            if ($r->contact_number_use == "1") {
                $excel->getActiveSheet()->setCellValue("H" . $apartmentRow, "yes");
            } else {
                $excel->getActiveSheet()->setCellValue("H" . $apartmentRow, "no");
            }
            $apartmentRow++;
        }
    }

    $excel->setActiveSheetIndex(1);
    $sipRow = 2;

    $stmt = "select *,sip_accounts.name as sip_name, sip_accounts.password as sip_password from sip_accounts, apartments where sip_accounts.apartment_id = apartments.id order by apartments.number,sip_accounts.name";
    if ($s = mysql_query($stmt)) {
        while ($r = mysql_fetch_object($s)) {
            $excel->getActiveSheet()->setCellValue("A" . $sipRow, $r->number);
            $excel->getActiveSheet()->setCellValue("B" . $sipRow, $r->sip_name);
            $excel->getActiveSheet()->setCellValueExplicit("C" . $sipRow, $r->username,PHPExcel_Cell_DataType::TYPE_STRING);
            $excel->getActiveSheet()->setCellValueExplicit("D" . $sipRow, $r->authname,PHPExcel_Cell_DataType::TYPE_STRING);
            $excel->getActiveSheet()->setCellValueExplicit("E" . $sipRow, $r->sip_password,PHPExcel_Cell_DataType::TYPE_STRING);
            $excel->getActiveSheet()->setCellValue("F" . $sipRow, $r->device_type);
            $excel->getActiveSheet()->setCellValue("G" . $sipRow, $r->active);
            $sipRow++;
        }
        mysql_free_result($s);
    }


    $excel->setActiveSheetIndex(2);
    $callRow = 2;

    $stmt = "Select * from call_routings,apartments where call_routings.apartment_id = apartments.id order by apartments.number,call_routings.priority";
    if ($s = mysql_query($stmt)) {
        while ($r = mysql_fetch_object($s)) {
            $excel->getActiveSheet()->setCellValue("A" . $callRow, $r->number);
            $excel->getActiveSheet()->setCellValue("B" . $callRow, $r->priority);
            $excel->getActiveSheet()->setCellValue("C" . $callRow, $r->ring_time);
            $excel->getActiveSheet()->setCellValue("D" . $callRow, $r->sip_accounts);
            $callRow++;
        }
        mysql_free_result($s);
    }


    $excel->setActiveSheetIndex(0);

    $writer = PHPExcel_IOFactory::createWriter($excel, "Excel2007");
    $filename = "temp/iDMConfig.xlsx";
    $writer->save($filename);

    $excel = NULL;

    return true;
}

?>
