<?php

/*
 * (C) 2013-2016 iDorMobile LCC, telpho GmbH
 *
 * Version: 2.1
 *
 */

    require_once('/usr/iDorMobile/system/scripts/dbcore.php');

    if (session_status() == PHP_SESSION_NONE) {
        session_start();
    }

    $go_on = false;
    if (isset($_SESSION['user_level'])) {
        if (intval($_SESSION['user_level']) >= 10) {
            $go_on = true;
        }
    }

    if (!$go_on) {
        header("Location: index.php");
        exit;
    }

    $cn = null;
	$ret_value = "ready";

    $path_restore = "/usr/iDorMobile/webgui/idorgui/temp";
    $logfile = $path_restore."/restore_status.log";

    $finish = false;
    $version = "";

    if (isset($_POST['action'])) {
        if ($_POST['action'] == "restore") {
            $restore_step = intval(htmlentities($_POST['restore_step']));

            if ($restore_step == 1) {
                exec("sudo rm ".$logfile);
                if ($f = fopen($logfile,"w")) {
                    fputs($f,"start restore.<BR>");
                    fputs($f,"check iDMBackup file. this may take several minutes.<BR>");
                    fclose($f);
                }
            } else if ($restore_step == 2) {
                $found = false;
                if ($f = fopen($logfile,"a")) {
                    if (file_exists($path_restore."/iDMRestore.tar")) {
                        $arr = array();
                        exec("sudo tar -xvf ".$path_restore."/iDMRestore.tar -C ".$path_restore,$arr);
                        if (file_exists($path_restore."/usr/iDorMobile/webgui/idorgui/temp/idor.sql")) {
                            $cn = mysql_connect("localhost","root","telpho");
                            if ($cn) {
                                $stmt = "drop database idor_import";
                                mysql_query($stmt);
                                $stmt = "create database idor_import";
                                mysql_query($stmt);
                                exec("sudo mysql -u root -ptelpho idor_import < ".$path_restore."/usr/iDorMobile/webgui/idorgui/temp/idor.sql");

                                $stmt = "select * from idor_import.settings where name = 'version'";
                                if ($s = mysql_query($stmt)) {
                                    if ($r = mysql_fetch_object($s)) {
                                        $version = $r->value;
                                    }
                                    mysql_free_result($s);
                                }
                                mysql_close($cn);
                            } else {
                                $ret_value = "error: can not connect to database<BR>";
                            }
                        } else if (file_exists($path_restore."/backup/idor.sql")) {
                            $cn = mysql_connect("localhost","root","telpho");
                            if ($cn) {
                                $stmt = "drop database idor_import";
                                mysql_query($stmt);
                                $stmt = "create database idor_import";
                                mysql_query($stmt);
                                exec("sudo mysql -u root -ptelpho idor_import < ".$path_restore."/backup/idor.sql");

                                $stmt = "select * from idor_import.settings where name = 'version'";
                                if ($s = mysql_query($stmt)) {
                                    if ($r = mysql_fetch_object($s)) {
                                        $version = $r->value;
                                    }
                                    mysql_free_result($s);
                                }
                                mysql_close($cn);
                            } else {
                                $ret_value = "error: can not connect to database<BR>";
                            }
                        } else {
                            $ret_value = "error: invalid IDMBackup file or version not supported<BR>";
                        }
                        if ($version == "") {
                            $ret_value = "error: invalid IDMBackup file or version not supported<BR>";
                        } else {
                            if (do_import($f,$version)) {
                                if (file_exists($path_restore."/usr/iDorMobile/webgui/idorgui/temp/idorcfgserver.sql")) {
                                    exec("sudo mysql -u root -ptelpho idorcfgserver < ".$path_restore."/usr/iDorMobile/webgui/idorgui/temp/idorcfgserver.sql");
                                } else if (file_exists($path_restore."/backup/idorcfgserver.sql")) {
                                    exec("sudo mysql -u root -ptelpho idorcfgserver < ".$path_restore."/backup/idorcfgserver.sql");
                                }
                                fputs($f,"restore version: ".$version." done.<BR>");
                                fputs($f,"ready. please reboot system.<BR>");
                            }
                            $finish = true;
                        }
                    } else {
                        $ret_value = "error: can not find IDMBackup file<BR>";
                    }
                    fclose($f);
                }
            } else {
                $finish = true;
            }
        }

        if (substr($ret_value,0,6) != "error:") {
            if (file_exists($logfile)) {
                if ($f = fopen($logfile,"r")) {
                    $ret_value = "";
                    while (!feof($f)) {
                        $ret_value .= fgets($f);
                    }
                    fclose($f);
                }
            } else {
                $ret_value = "ready";
                $finish = true;
            }
        }
    }

    if ($finish) {
        exec("sudo rm ".$path_restore."/* -r");
    }

	echo $ret_value;


function do_import($f,$version) {

    $s = null;
    $r = null;

    $err = "";

    if ($version == "1.5.3" || substr($version,0,3) == "1.6" || substr($version,0,2) == "2.") {

        $cn = mysql_connect("localhost","root","telpho");

        if ($cn) {

            // delete tables
            $stmt = "delete from idor.calls";
            mysql_query($stmt);
            $err = mysql_error();
            if (strlen($err) > 0) {
                fputs($f,"error: ".$err);
                return false;
            }

            $stmt = "delete from idor.templates";
            mysql_query($stmt);
            $err = mysql_error();
            if (strlen($err) > 0) {
                fputs($f,"error: ".$err);
                return false;
            }

            $stmt = "delete from idor.call_routings";
            mysql_query($stmt);
            $err = mysql_error();
            if (strlen($err) > 0) {
                fputs($f,"error: ".$err);
                return false;
            }

            $stmt = "delete from idor.sip_accounts";
            mysql_query($stmt);
            $err = mysql_error();
            if (strlen($err) > 0) {
                fputs($f,"error: ".$err);
                return false;
            }

            $stmt = "delete from idor.apartments";
            mysql_query($stmt);
            $err = mysql_error();
            if (strlen($err) > 0) {
                fputs($f,"error: ".$err);
                return false;
            }

            $stmt = "delete from idor.door_modules";
            mysql_query($stmt);
            $err = mysql_error();
            if (strlen($err) > 0) {
                fputs($f,"error: ".$err);
                return false;
            }

            // templates
            $stmt = "Select * from idor_import.templates";
            if ($s = mysql_query($stmt)) {
                while ($r = mysql_fetch_object($s)) {
                    $stmt  = "Insert into idor.templates set ";
                    $stmt .= "id='".$r->id."',";
                    $stmt .= "description='".$r->description."',";
                    $stmt .= "template_data='".$r->template_data."',";
                    $stmt .= "filename_dest='".$r->filename_dest."'";
                    mysql_query($stmt);
                    $err = mysql_error();
                    if (strlen($err) > 0) {
                        fputs($f,"error: ".$err);
                        return false;
                    }
                }
                mysql_free_result($s);
            }

            // apartments
            $stmt = "Select * from idor_import.apartments";
            if ($s = mysql_query($stmt)) {
                while ($r = mysql_fetch_object($s)) {
                    $stmt  = "Insert into idor.apartments set ";
                    $stmt .= "id='".$r->id."',";
                    $stmt .= "name='".$r->name."',";
                    $stmt .= "caller_number='".$r->caller_number."',";
                    $stmt .= "number='".$r->number."',";
                    $stmt .= "extension='".$r->extension."',";
                    $stmt .= "contact_email='".$r->contact_email."',";
                    $stmt .= "contact_number='".$r->contact_number."',";
                    if ($version == "1.5.3") {
                        if (strlen($r->contact_number) > 0) {
                            $stmt .= "contact_number_use='1',";
                        } else {
                            $stmt .= "contact_number_use='0',";
                        }
                        $ark = substr(md5(rand()),0,20);
                        $stmt .= "config_key='".$ark."',";
                    } else {
                        $stmt .= "contact_number_use='".$r->contact_number_use."',";
                        $stmt .= "config_key='".$r->config_key."',";
                    }
                    if ($version == "1.6.8" || $version == "2.0") {
                        $stmt .= "password='".$r->password."',";
                    } else {
                        if ($version == "1.5.3") {
                            $stmt .= "password='".hash("sha256","password")."',";
                        } else {
                            $stmt .= "password='".hash("sha256",$r->password)."',";
                        }
                    }
                    $stmt .= "flag='0'";
                    mysql_query($stmt);
                    $err = mysql_error();
                    if (strlen($err) > 0) {
                        fputs($f,"error: ".$err);
                        return false;
                    }
                }
                mysql_free_result($s);
            }

            // sip_accounts
            $stmt = "Select * from idor_import.sip_accounts";
            if ($s = mysql_query($stmt)) {
                while ($r = mysql_fetch_object($s)) {
                    $stmt  = "Insert into idor.sip_accounts set ";
                    $stmt .= "id='".$r->id."',";
                    $stmt .= "apartment_id='".$r->apartment_id."',";
                    $stmt .= "name='".$r->name."',";
                    $stmt .= "device_type='".$r->device_type."',";
                    $stmt .= "username='".$r->username."',";
                    $stmt .= "authname='".$r->authname."',";
                    $stmt .= "password='".$r->password."',";
                    $stmt .= "udid='".$r->udid."',";
                    $stmt .= "active='".$r->active."'";
                    mysql_query($stmt);
                    $err = mysql_error();
                    if (strlen($err) > 0) {
                        fputs($f,"error: ".$err);
                        return false;
                    }
                }
                mysql_free_result($s);
            }

            // call_routings
            $stmt = "Select * from idor_import.call_routings";
            if ($s = mysql_query($stmt)) {
                while ($r = mysql_fetch_object($s)) {
                    $stmt  = "Insert into idor.call_routings set ";
                    $stmt .= "id='".$r->id."',";
                    $stmt .= "apartment_id='".$r->apartment_id."',";
                    $stmt .= "priority='".$r->priority."',";
                    $stmt .= "ring_time='".$r->ring_time."',";
                    $stmt .= "sip_accounts='".$r->sip_accounts."'";
                    mysql_query($stmt);
                    $err = mysql_error();
                    if (strlen($err) > 0) {
                        fputs($f,"error: ".$err);
                        return false;
                    }
                }
                mysql_free_result($s);
            }

            // door_modules
            $stmt = "Select * from idor_import.door_modules";
            if ($s = mysql_query($stmt)) {
                while ($r = mysql_fetch_object($s)) {
                    $stmt  = "Insert into idor.door_modules set ";
                    $stmt .= "id='".$r->id."',";
                    $stmt .= "name='".$r->name."',";
                    $stmt .= "location='".$r->location."',";
                    $stmt .= "device_type='".$r->device_type."',";
                    $stmt .= "username='".$r->username."',";
                    $stmt .= "authname='".$r->authname."',";
                    $stmt .= "password='".$r->password."'";
                    mysql_query($stmt);
                    $err = mysql_error();
                    if (strlen($err) > 0) {
                        fputs($f,"error: ".$err);
                        return false;
                    }
                }
                mysql_free_result($s);
            }

            // pstn_line
            $stmt = "Select * from idor_import.pstn_line where id='1'";
            if ($s = mysql_query($stmt)) {
                while ($r = mysql_fetch_object($s)) {
                    $stmt  = "Update idor.pstn_line set ";
                    $stmt .= "name='".$r->name."',";
                    $stmt .= "active='".$r->active."',";
                    $stmt .= "location='".$r->location."',";
                    $stmt .= "device_type='".$r->device_type."',";
                    $stmt .= "username='".$r->username."',";
                    $stmt .= "authname='".$r->authname."',";
                    $stmt .= "password='".$r->password."' ";
                    $stmt .= "where id = '1'";
                    mysql_query($stmt);
                    $err = mysql_error();
                    if (strlen($err) > 0) {
                        fputs($f,"error: ".$err);
                        return false;
                    }
                }
                mysql_free_result($s);
            }

            if (mysql_query("DESCRIBE 'idor_import.calls'")) {
                $stmt = "Select * from idor_import.calls";
                if ($s = mysql_query($stmt)) {
                    while ($r = mysql_fetch_object($s)) {
                        $stmt = "Insert into idor.calls set ";
                        $stmt .= "id='".$r->id."',";
                        $stmt .= "datetime='".$r->datetime."',";
                        $stmt .= "apartment_id='".$r->apartment_id."',";
                        $stmt .= "caller='".$r->caller."',";
                        $stmt .= "caller_name='".$r->caller_name."',";
                        $stmt .= "called='".$r->called."',";
                        $stmt .= "called_name='".$r->called_name."',";
                        $stmt .= "answered='".$r->answered."',";
                        $stmt .= "answered_name='".$r->answered_name."',";
                        $stmt .= "status='".$r->status."'";
                        mysql_query($stmt);
                        $err = mysql_error();
                        if (strlen($err) > 0) {
                            fputs($f,"error: ".$err);
                            return false;
                        }
                    }
                    mysql_free_result($s);
                }
            }

            $stmt = "drop database idor_import";
            mysql_query($stmt);

            mysql_close($cn);
        } else {
            fputs($f,"error: can not connect to database.");
            return false;
        }
    } else {
        fputs($f,"error: no valid version to import.");
        return false;
    }

    return true;
}

?>
